JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_StringRef.h File Reference

## Classes
class | StringRef
| A simple class for holding temporary references to a string literal or String. More...

## Functions
JUCE_API bool JUCE_CALLTYPE | operator== (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
JUCE_API bool JUCE_CALLTYPE | operator!= (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
JUCE_API bool JUCE_CALLTYPE | operator< (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
JUCE_API bool JUCE_CALLTYPE | operator<= (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
JUCE_API bool JUCE_CALLTYPE | operator> (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
JUCE_API bool JUCE_CALLTYPE | operator>= (const String &string1, StringRef string2) noexcept
| Case-sensitive comparison of two strings.
String | operator+ (String s1, StringRef s2)
String | operator+ (StringRef s1, const String &s2)
String | operator+ (const char *s1, StringRef s2)
String | operator+ (StringRef s1, const char *s2)